Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Conflitto hal upower [risolto]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
mrl4n
l33t
l33t


Joined: 08 Apr 2009
Posts: 674

PostPosted: Sun May 22, 2011 9:06 pm    Post subject: Conflitto hal upower [risolto] Reply with quote

Come da topic un conflitto mi impedisce ulteriori aggiornamenti infatti
Code:
[ebuild  N    ] sys-power/upower-0.9.9  USE="-debug -doc (-introspection) -ios" 0 kB
[blocks B     ] sys-apps/hal ("sys-apps/hal" is blocking sys-power/upower-0.9.9)

Total: 1 package (1 new), Size of downloads: 0 kB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-apps/hal-0.5.14-r4, installed) pulled in by
    sys-apps/hal required by @selected
    >=sys-apps/hal-0.5.10 required by (app-misc/hal-info-20091130, installed)

  (sys-power/upower-0.9.9, ebuild scheduled for merge) pulled in by
    sys-power/upower required by (kde-base/kdelibs-4.6.2-r3, installed)


Se elimino hal tutto torna normale e il sistema si aggiorna, ma la stampante smette di funzionare.
Ma l'uso di hal non era deprecato?
La mia situazione su kde 4.6.2 è questa
Code:
# emerge --info
Portage 2.1.9.42 (default/linux/x86/10.0/desktop, gcc-4.4.5, libc-0-r0, 2.6.37-gentoo-r4 i686)
=================================================================
System uname: Linux-2.6.37-gentoo-r4-i686-Intel-R-_Core-TM-2_Quad_CPU_Q8300_@_2.50GHz-with-gentoo-2.0.2
Timestamp of tree: Sun, 22 May 2011 20:15:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.6.6-r2, 2.7.1-r1, 3.1.3-r1
dev-util/cmake:      2.8.4-r1
sys-apps/baselayout: 2.0.2
sys-apps/openrc:     0.8.2-r1
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.4.5
sys-devel/gcc-config: 1.4.1-r1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
sys-kernel/linux-headers: 2.6.36.1
sys-libs/glibc:      2.12.2
virtual/os-headers:  0
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news nostrip parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://gentoo.inode.at/ "
LANG="it_IT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="it"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/dottout"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi aften alsa asf avi berkdb bluetooth branding bzip2 cairo cdda cdparanoia cdr cleartype cli consolekit corefonts cracklib crypt css cups cxx dbus dri dts dvd dvdr embedded emboss encode exif fam ffmpeg firefox flac fortran gdbm gdu gif gphoto2 gpm gtk iconv ipv6 jpeg kde lame lcms ldap libnotify mad matroska mng modules mp3 mp4 mpeg msn mudflap mysql ncurses nls nptl nptlonly nsplugin odcb ogg opengl openmp pam pango pcre pdf perl png policykit ppds pppd python qt3 qt3support qt4 readline sasl scanner sdl semantic-desktop session spell sql ssl startup-notification svg symlink sysfs tcpd tiff timidity truetype type1 udev unicode usb vorbis w32codecs webkit win32codecs x264 x86 xcb xml xorg xulrunner xv xvid xvmc zlib" ALSA_CARDS="hda_intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="braindump flow karbon kexi kpresenter krita tables words" CAMERAS="*" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Sto cercando di seguire le indicazioni della guida di upgrade kde da 4.4 a 4.6 ma con risultati non soddisfacenti.


Last edited by mrl4n on Wed May 25, 2011 5:00 pm; edited 1 time in total
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Mon May 23, 2011 10:59 am    Post subject: Reply with quote

Non è che dici molto ma in primo luogo la guida suggerisce USE="consolekit dbus policykit udev -hal" per una ragione
revdep-rebuild ... questo sconosciuto ...
--depclean ... questa sconosciuta (e dannosa opzione di emerge) ...
etc.
Quando ti sarai ben documentato su --depclean (opzione notoriamente pericolosa per questo sottolineo il documentarsi e pensar bene prima di lanciare emerge --depclean) e revdep-rebuild ti si potrà aiutare.
e vedi che non devi rimuovere solo hal ma anche hal-info etc.

Ma è stato stabilizzato già il 4.6 ? Immagino di no, perché in tal caso mi auguro vivamente che ti sia passato per la testa di usare l'unmask dell'overlay kde e non di fare a manina (e tanto vale a questo punto passare direttamente al 4.6.3).

Altri problemi (non è che sia chiaro quali sono i problemi che incontri) potrebbero essere per "file collision".
La localizzazione per diversi applicativi è passata in kde-l10n piuttosto che come flag LINGUAS dei singoli pacchetti o parte di un nomepacchetto-it (non mi ricordo quali sono a parte konq-plugins).
Per questo puoi solo disinstallare il pacchetto incriminato od aggiornarlo preventivamente.

Tra l'altro esiste anche un --resume --skipfirst che aiuta (ma non troppo) in questi casi.

La stampante smette di funzionare può voler dire tutto ma non dice nulla, potresti provare con un semplice emerge -1 cups (con hal ed hal-info rimossi ovviamente).

[OT]vedo un bel -march=i686 ed un -j5 insieme, non so quale sia la tua cpu ma -fomit-frame-pointer , un march un tantino più azzeccato (ma anche native anzichenò), togliere -pipe se compili in ram ed USE="sse & C" non ci starebbero male secondo me ma è solo la mia modestissima opinione.[/OT]

NB: ovviamente il tono è scherzoso, vivendo in cotanta repubblica delle banane dobbiamo tentare di ridere in qualche modo anche quando c'è solo da piangere.

Già che mi trovo vorrei "congelare" gli unmask legandoli alla versione specifica installata piuttosto che per slot (come è per l'verlay). Suggerimenti?
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
mrl4n
l33t
l33t


Joined: 08 Apr 2009
Posts: 674

PostPosted: Wed May 25, 2011 5:00 pm    Post subject: Reply with quote

Seguendo la tua "scherzosa" osservazione del mio make.conf ho apportato, come da tue indicazioni, alcune modifiche...ora si che ho un sistema che funziona: 18 minuti per sincronizzare eix.
Sono davvero soddisfatto.
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Wed May 25, 2011 5:13 pm    Post subject: Reply with quote

fammi capire... che hai modificato?

Al di là degli scherzi è importante riportare la soluzione, allo smascheramento di kde 4.6 potrebbe essere utile a qualcun altro sapere come hai risolto.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
neretux
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jul 2010
Posts: 83

PostPosted: Wed Jun 15, 2011 8:30 am    Post subject: Reply with quote

Per favore indica come hai risolto perchè io sono bloccato nella stessa situazione
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Wed Jun 15, 2011 10:09 am    Post subject: Reply with quote

L'avevo detto io... l'avevo detto io... l'avevo detto io... :twisted:
Inizia con il seguire i miei improbabili suggerimenti oppure riporta l'errore esatto.
nella ristrutturazione di kde si sono dimenticati di aggiungere dei blocker ai pacchetti l10-n quindi se è un conflitto apri un bug (anche se hai risolto nel frattempo)
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum